<template>
	<view class="content">
		<view class="" style="height: 20rpx;"></view>
		<!-- 调转item -->
		<view class="tool-item" v-for=" item in science" @click="Jump(item.id)">
			<view class="item-img">
				<image :src="(item.image.indexOf('http') != -1 )? item.image: ($store.state.baseURL + item.image)" mode=""></image>
			</view>
			<view class="item-tit">
				{{item.title}}
			</view>
		</view>
	</view>
</template>

<script>
	import { getArticList} from '@/api/index.js';
	export default {
		data() {
			return {
				science: []
			}
		},
		onLoad(opt) {
			this.loadData()
		},
		computed: {
			
		},
		onShow() {
		},
		onReachBottom() {
		},
		onReady() {
		},
		methods: {
			loadData(){
				let obj = this;
				getArticList({ifyid:72}).then(({ data }) => {
					console.log(data,123456);
					obj.science = obj.science.concat(data.list);
					console.log(obj.science,'999999999999999999')
				});
			},
			Jump(id) {
				uni.navigateTo({
					url:"/pages/applic/info?id="+id
				})	
			},
		}
	}
</script>

<style lang="scss">
	.tool-item {
		width: 702rpx;
		height: 416rpx;
		background: #FEFEFE;
		box-shadow: 0px 0px 20rpx 0px rgba(50, 50, 52, 0.06);
		border-radius: 20rpx;
		margin: 0 auto 30rpx;
		font-size: 0;

		.item-img {
			width: 702rpx;
			height: 300rpx;
			border-radius: 20rpx 20rpx 0 0;
			image {
				border-radius: 20rpx 20rpx 0 0;
				width: 100%;
				height: 100%;
			}
		}

		.item-tit {
			font-size: 34rpx;
			font-weight: 500;
			color: #0E0E0E;
			line-height: 116rpx;
			padding-left: 26rpx;
		}
	}
</style>
